/* ===== USER VARIABLES SECTION ===== */
:root {
    --accent: #d5df00;
    --black: #000;
    --bg: #f7f8fc;
    --hover: #E7EF32;
    --gap: 40rem;
    --gap2: 20rem;
}

/* ===== FONTS LOAD SECTION ===== */
@font-face {
    src: url("../fonts/Manrope-Regular.woff2") format("woff2");
    font-family: "manrope-r";
    font-weight: 400;
    font-style: normal;
}

@font-face {
    src: url("../fonts/Manrope-Bold.woff2") format("woff2");
    font-family: "manrope-b";
}

/* ===== GENERAL CSS SETTINGS ===== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scrollbar-width: thin;
    scrollbar-color: var(--accent) #eee;
    -webkit-tap-highlight-color: transparent;
}

*::-webkit-scrollbar {
    height: 6rem;
    width: 6rem;
}

*::-webkit-scrollbar-thumb {
    background-color: var(--accent);
    border-radius: 5rem;
}

::placeholder {
    color: var(--gray-text);
}

::selection {
    background-color: var(--accent);
    color: #fff;
}

button {
    border: none;
    outline: none;
    font-family: 'manrope-b', sans-serif;
    font-size: 16rem;
    background-color: transparent;
}

button:disabled {
    pointer-events: none;
    opacity: .6;
    cursor: no-drop;
}

input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
    appearance: textfield;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    display: none;
}

input[type="file"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

input,
textarea,
select {
    width: 100%;
    outline: none;
    background-color: transparent;
    border-radius: 0;
    color: var(--black);
    height: 60rem;
    font-size: 16rem;
    font-weight: 400;
    font-style: normal;
    border: none;
    border-left: none;
    border-right: none;
    box-shadow: none;
    background-color: #f7f8fc;
    padding: 18rem 20rem;
    border-radius: 20rem;
    font-family: "manrope-r", sans-serif;
}

textarea {
    height: 200rem;
    resize: none;
}

html {
    font-size: calc(1vw / 18);
}

body {
    font-family: manrope-r, sans-serif;
    font-size: 18rem;
    line-height: normal;
    color: var(--black);
    position: relative;
    overflow-x: hidden;
    background-color: var(--bg);
}

body.overflow {
    overflow: hidden;
    position: relative;
}

img {
    max-width: 100%;
    pointer-events: none;
    user-select: none;
    object-fit: cover;
    object-position: center;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5 {
    font-weight: normal;
    font-family: 'manrope-r', sans-serif;
    line-height: 110%;
    text-transform: uppercase;
    width: 100%;
}

h1,
.h1 {
    font-size: 70rem;
    margin-bottom: 40rem;
}

h2,
.h2 {
    font-size: 40rem;
    margin-bottom: var(--gap);
}

h3,
.h3 {
    font-size: 24rem;
    margin-bottom: var(--gap2);
}

h4,
.h4 {
    font-size: 20rem;
    margin-bottom: var(--gap2);
}

h5,
.h5 {
    font-size: 18rem;
    margin-bottom: var(--gap2);
}

h6,
.h6 {
    font-size: 18rem;
    margin-bottom: var(--gap2);
}

a {
    color: var(--black);
    transition: color .4s ease;
    text-decoration: none;
    user-select: none;
    position: relative;
}

b,
strong,
.bold {
    font-family: 'manrope-b', sans-serif;
}

p:not(:last-child) {
    margin-bottom: var(--gap2);
}

svg {
    transition: stroke .4s ease, fill .4s ease;
    flex: 0 0 auto;
    fill-rule: evenodd;
    clip-rule: evenodd;
}

/* ===== USER STYLES ===== */
.container {
    max-width: 1440rem;
    width: 100%;
    margin: 0 auto;
    padding: 0 15rem;
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.content {
    display: flex;
    flex-direction: column;
    gap: 100rem;
    padding: 60rem 0 120rem;
}

.content:has(.hero) {
    padding-top: 0;
}

/* ===== btn ===== */
.btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: 'manrope-b', sans-serif;
    font-size: 16rem;
    min-height: 60rem;
    height: max-content;
    width: 100%;
    max-width: max-content;
    background-color: var(--accent);
    padding: 15rem 30rem;
    cursor: pointer;
    border-radius: 40rem;
    border: 2rem solid transparent;
    transition: background-color .4s ease, color .4s ease, border .4s ease;
    color: var(--black);
    background-color: #fff;
    text-align: center;
}

.btn span {
    font-size: 24rem;
    margin-left: 10rem;
}

.btn.min {
    min-height: 40rem;
    min-width: auto;
    padding: 10rem 20rem;
}

.btn.full {
    width: 100%;
    max-width: 100%;
    justify-content: center;
}

.btn.accent {
    background-color: var(--accent);
}

/* ===== heading ===== */
.heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap);
    width: 100%;
    height: max-content;
    position: relative;
    z-index: 1;
}

.heading:has(.btn) .heading-title {
    margin-bottom: 0;
}

.heading:has(.btn) {
    margin-bottom: var(--gap);
}

.heading .img-mask {
    position: absolute;
    top: 30%;
    left: -15rem;
    transform: translateY(-50%);
    width: 330rem;
    z-index: -1;
}

.heading .img-mask.down {
    width: 390rem;
    top: 45%;
    left: -30rem;
}

/* ====== description ===== */
.description {
    position: relative;
    z-index: 1;
}

.description b,
.description strong {
    font-size: 20rem;
}

.description ul {
    padding-left: 15rem;
    display: grid;
    gap: 10rem;
}

/* ===== check ====== */
.check input {
    display: none;
}

.check input[type=checkbox]:checked+label::before,
.check input[type=radio]:checked+label::before {
    background-color: var(--accent);
    border-color: var(--accent);
}

.check input[type=checkbox]:checked+label::after,
.check input[type=radio]:checked+label::after {
    opacity: 1;
}

.check label {
    position: relative;
    cursor: pointer;
    font-size: 12rem;
    display: inline-flex;
    align-items: center;
}

.check label a {
    text-decoration: underline;
}

.check label::before {
    content: '';
    width: 20rem;
    height: 20rem;
    border: 1rem solid #ccc;
    flex: 0 0 auto;
    margin-right: 12rem;
    border-radius: 2rem;
    background-color: transparent;
    transition: background-color .4s ease, border .4s ease;
    display: inline-block;
}

.check label.white::before {
    background-color: #fff;
}

.check input[type=checkbox]+label::after {
    content: '';
    position: absolute;
    left: 6rem;
    top: 6rem;
    width: 8rem;
    height: 4rem;
    transition: all .2s ease;
    opacity: 0;
    border: 2rem solid var(--black);
    border-top: none;
    border-right: none;
    transform: rotate(-45deg);
}

/* ===== numbering ===== */
.numbering {
    counter-reset: item-counter;
}

.numbering>*::before {
    content: counter(item-counter);
    counter-increment: item-counter;
}

/* ===== irs ===== */
.irs--round {
    height: 30rem;
    position: relative;
    margin: -12rem 0 12rem;
}

.irs--round .irs-line {
    height: 2rem;
    background: var(--black);
    opacity: .1;
    border-radius: 4rem;
    top: 20rem;
}

.irs--round .irs-bar {
    background-color: var(--black);
    height: 2rem;
    top: 20rem;
}

.irs--round .irs-from,
.irs--round .irs-to,
.irs--round .irs-single {
    display: none;
    background-color: var(--accent);
    color: #fff;
    font-size: 12rem;
    top: 30rem;
    z-index: 1;
}

.irs--round .irs-from::before,
.irs--round .irs-to::before,
.irs--round .irs-single::before {
    display: none;
}

.irs--round .irs-handle {
    height: 12rem;
    width: 12rem;
    background-color: var(--accent) !important;
    top: 15rem;
    cursor: pointer;
    border: none;
}